summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_lede_common.sh
diff options
context:
space:
mode:
authorAlexander Couzens <lynxis@fe80.eu>2016-11-11 23:44:12 +0100
committerHolger Levsen <holger@layer-acht.org>2016-11-15 23:08:55 +0100
commit1f33c6a2e362e8d33fae086521a190fab7839c75 (patch)
treea7744727ed5fa84c0c678858a6cf70039e703022 /bin/reproducible_lede_common.sh
parent1af5308a87d936183e4713c5702f570c8405a01b (diff)
downloadjenkins.debian.net-1f33c6a2e362e8d33fae086521a190fab7839c75.tar.xz
reproducible openwrt/lede: not cleaning up nodes tmpdirs
helps debugging Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_lede_common.sh')
-rw-r--r--bin/reproducible_lede_common.sh15
1 files changed, 8 insertions, 7 deletions
diff --git a/bin/reproducible_lede_common.sh b/bin/reproducible_lede_common.sh
index 0dd7de91..3be3efcf 100644
--- a/bin/reproducible_lede_common.sh
+++ b/bin/reproducible_lede_common.sh
@@ -19,13 +19,14 @@ node_debug() {
# only called direct on a remote build node
node_cleanup_tmpdirs() {
export TMPDIR=$1
- cd
- # (very simple) check we are deleting the right stuff
- if [ "${TMPDIR:0:26}" != "/srv/reproducible-results/" ] || [ ${#TMPDIR} -le 26 ] ; then
- echo "Something very strange with \$TMPDIR=$TMPDIR exiting instead of doing cleanup."
- exit 1
- fi
- rm -rf $TMPDIR
+ echo "Not cleaning up to make lynxis happy. Please notify lynxis he must clean up the tempdir $1"
+# cd
+# # (very simple) check we are deleting the right stuff
+# if [ "${TMPDIR:0:26}" != "/srv/reproducible-results/" ] || [ ${#TMPDIR} -le 26 ] ; then
+# echo "Something very strange with \$TMPDIR=$TMPDIR exiting instead of doing cleanup."
+# exit 1
+# fi
+# rm -rf $TMPDIR
}
node_create_tmpdirs() {